Subject: Re: [PATCH] hwmon/sensors: fix SENSORS_LM75 dependencies

From: Guenter Roeck <[email-masked]>
Date: Tue, 7 Jan 2014 08:10:18 -0800

On Tue, Jan 07, 2014 at 04:07:38PM +0100, Jean Delvare wrote:
> On Tue, 7 Jan 2014 10:57:52 -0400, Eduardo Valentin wrote:
> > On 07-01-2014 10:05, Zhang, Rui wrote:
> > > BTW, I've been thinking of make CONFIG_THERMAL a bool since long time ago, the only thing that blocks me is that Thermal subsystem needs to register a hwmon device for each thermal zone and CONFIG_HWMON is a tristate.
> > 
> > I agree with the move of having CONFIG_THERMAL as bool. Unless you have
> > use cases where users are dynamically loading and unloading thermal per
> > user demand, which I doubt.
> 
> Modularity is not only about reloading modules (although this can be
> useful for developers in particular.) It's also about enabling many
> features in a generic distribution kernel and each feature only gets
> loaded/used on the hardware which needs it. This is why, as a
> distribution kernel maintainer, I keep complaining when I see boolean
> options which might easily be tristates.
> 
Agreed. Problem is really that it is not easy to declare cross-module
dependencies (eg THERMAL=m -> HWMON=m and THERMAL=y -> HWMON=y and
vice versa) in Kconfig. Declaring everything as bool can not be
the solution to that.

Guenter